Package org.spongepowered.asm.util

## Interface ITokenProvider

All Known Implementing Classes:
  `MixinEnvironment`

    public interface ITokenProvider

Agent which can supply token values to a `ConstraintParser.Constraint`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Integer` `getToken​(java.lang.String token)` Get a token value from this provider

### Method Detail

#### getToken

    java.lang.Integer getToken​(java.lang.String token)

Get a token value from this provider

Parameters:
  `token` - Token to fetch
Returns:
  token value or null if the token is not provided by this provider